/* Universal Box Sizing with Inheritance */
html {
    box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

/* typography */
html {
    font-size: var(--font-size-default);
    line-height: 1.4;
    color: var(--color-text);
    background-color: var(--color-background);
}    

/* Clean and uniformize some of the default browser styles */
body {
    margin: 0;
    min-height: 100vh;
    overflow-x: hidden;
}

h1 {
    font-size: 3rem;
}

h1,
h2,
p {
    margin-top: 0;
    margin-bottom: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

@media screen (min-width: var(--width-container)) {
    p {
	padding-left: 0;
	padding-right: 0;
    }
}

/* 
   make all the div be display flex column
   so all its child can be flex controled
*/
body,
div {
    display: flex;
    flex-direction: column;
}

/* by default a text cannot be larger than what is readable
and is centered */
p,
h1,
h2,
h3,
h4,
h5 {
    max-width: var(--width-container);
    align-self: center;
    width: 100%;
}
